Page MenuHomePhabricator

A gerrit project's Access > "History:" links to gitblit
Closed, ResolvedPublic

Description

Visit any project in gerrit and click its Access tab, e.g. https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/skins/Vector,access

Note the
History: (gitblit)
line links to git.wikimedia.org.

I assume it should eventually link to Diffusion. I don't know if it's possible to access project metadata like /refs%2Fmeta%2Fconfig/project.config from Diffusion.

Event Timeline

Spage created this task.Aug 5 2015, 2:38 AM
Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage added a project: Gitblit-Deprecate.
Spage added a subscriber: Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2015, 2:38 AM
demon moved this task from To Triage to In Progress on the Gitblit-Deprecate board.Dec 1 2015, 6:31 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 1 2015, 6:31 PM
greg triaged this task as Normal priority.Dec 2 2015, 6:14 PM
greg set Security to None.
mmodell added a subscriber: mmodell.Dec 2 2015, 6:18 PM

currently it is not possible to browse refs like that in diffusion.

Tgr added a subscriber: Tgr.Dec 18 2015, 1:05 AM

These now point to Diffusion although they still cannot be browsed there. Filed as T121830.

demon closed this task as Resolved.Jan 13 2016, 10:07 PM
demon claimed this task.
demon added a subscriber: demon.

They point to diffusion, but don't all work. That's being tracked by T89940. Marking this resolved.

demon moved this task from In Progress to Done on the Gitblit-Deprecate board.Jan 13 2016, 10:08 PM